package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamProductSkuInfoModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 单条回显规格
 *
 * @author SunLY
 * @version 1.0
 * @date 2024/11/26 15:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TeamProjectSkuInfoSkuResp {
    /**
     * 商品规格表ID
     */
    private Long id;
    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static TeamProjectSkuInfoSkuResp buildModel(ActivityTeamProductSkuInfoModel activityTeamProductSkuInfoModel) {
       return TeamProjectSkuInfoSkuResp.builder()
               .id(activityTeamProductSkuInfoModel.getId())
               .sku(activityTeamProductSkuInfoModel.getSku())
               .teamPrice(activityTeamProductSkuInfoModel.getTeamPrice())
               .teamStock(activityTeamProductSkuInfoModel.getTeamStock())
               .build();
    }
}
